<template>
    <header>
        <nav class="bg-white border-b border-gray-100 sticky w-full top-0">
            <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
                <div class="flex justify-between h-16">
                    <div class="flex">
                        <div class="shrink-0 flex items-center">
                            <Link :href="route('dashboard')">
                                <BreezeApplicationLogo
                                    class="block h-9 w-auto"
                                />
                            </Link>
                        </div>

                        <div
                            class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex"
                        >
                            <BreezeNavLink
                                :active="route().current('dashboard')"
                                :href="route('dashboard')"
                            >
                                Dashboard
                            </BreezeNavLink>
                            <BreezeNavLink
                                :active="route().current('prescriptions.index')"
                                :href="route('prescriptions.index')"
                            >
                                Prescriptions
                            </BreezeNavLink>
                        </div>
                    </div>
                    <div class="hidden sm:flex sm:items-center sm:ml-6">
                        <div class="ml-3 relative">
                            <BreezeDropdown align="right" width="48">
                                <template #trigger>
                                    <span class="inline-flex rounded-md">
                                        <button
                                            class="inline-flex items-center px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 bg-white hover:text-gray-700 focus:outline-none transition ease-in-out duration-150"
                                            type="button"
                                        >
                                            {{ $page.props.auth.user.name }}

                                            <svg
                                                class="ml-2 -mr-0.5 h-4 w-4"
                                                fill="currentColor"
                                                viewBox="0 0 20 20"
                                                xmlns="http://www.w3.org/2000/svg"
                                            >
                                                <path
                                                    clip-rule="evenodd"
                                                    d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                                                    fill-rule="evenodd"
                                                />
                                            </svg>
                                        </button>
                                    </span>
                                </template>
                                <template #content>
                                    <BreezeDropdownLink
                                        :href="route('logout')"
                                        as="button"
                                        method="post"
                                    >
                                        Log Out
                                    </BreezeDropdownLink>
                                </template>
                            </BreezeDropdown>
                        </div>
                    </div>
                </div>
            </div>
        </nav>
    </header>
</template>

<script setup>
import BreezeDropdown from "./Dropdown.vue";
import BreezeDropdownLink from "./DropdownLink.vue";
import BreezeNavLink from "./NavLink.vue";
import BreezeApplicationLogo from "./ApplicationLogo.vue";
import { Link } from "@inertiajs/inertia-vue3";
</script>
